Summary: 	Perl interface to file system quotas
Name: 		perl-Quota
Version: 	1.4.6
Release: 	2
License: 	Perl
Group: 		Applications/Text
Source0: 	http://search.cpan.org/author/TOMZO/Quota-1.4.6/Quota-1.4.6.tar.gz
URL: 		http://search.cpan.org/author/TOMZO/Quota-1.4.6/
Packager:	Riku Meskanen <mesrik@cc.jyu.fi>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5
Requires:	perl >= 5

%description
The Quota module provides access to file system quotas.  The
quotactl system call or ioctl is used to query or set quotas
on the local host, or queries are submitted via RPC to a
remote host.  Mount tables can be parsed with getmntent and
paths can be translated to device files (or whatever the
actual quotactl implementations needs as argument) of the
according file system.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Quota-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix} perl Makefile.PL
make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

for i in $(find . -type f -print | xargs grep -l '#!/usr/local/bin/perl'); do
	cp -p $i $i.dist &&\
	sed 's/^\(#!\/usr\)\/local\(\/bin\/perl\)/\1\2/' < $i.dist >$i &&\
	rm -f $i.dist
done
touch Makefile
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f filelist
%defattr(-,root,root)
%doc README CHANGES contrib

%changelog
* Mon Apr 28 2003 Riku Meskanen <mesrik@cc.jyu.fi>
- Added forgotten %doc section

* Sun Apr 27 2003 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build

